Bug 119557 - regression: SVG text not displayed
Summary: regression: SVG text not displayed
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.1.0.3 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.2.0 target:6.1.2
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2018-08-28 07:15 UTC by frederic.coiffier@6cure.net
Modified: 2018-09-03 17:56 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
.odt file to reproduce the problem (28.43 KB, application/vnd.oasis.opendocument.text)
2018-08-28 07:16 UTC, frederic.coiffier@6cure.net
Details

Note You need to log in before you can comment on or make changes to this bug.
Description frederic.coiffier@6cure.net 2018-08-28 07:15:51 UTC
Description:
In Libre Writer, import an SVG file (generated with Matplotlib and using DejaVu fonts) : texts and labels aren't displayed
Problem occurs also in Draw.

An .odt is attached to this report to reproduce the problem.

It's a regression in latest LibreOffice versions.
It works fine with official AppImage 6.0.6 but doesn't work with 6.1.0.3 or 6.2.0.0.alpha0.

With Debian Unstable packages, the regression occurs between 6.1.0~rc2 and 6.1.0~rc3.


Steps to Reproduce:
Open the attached .odt file:
1. Open LibreWriter 6.0.6: Labels are correctly displayed
2. Open LibreWriter 6.1.0.3 and later: Labels are not displayed


Actual Results:
Text and labels of the SVG file aren't displayed.

Expected Results:
Text and labels must be displayed (as the DejaVu font is installed).


Reproducible: Always


User Profile Reset: No



Additional Info:
Latest tested version which doesn't work:

Version: 6.2.0.0.alpha0+
Build ID: 58f2e4690b57f0fa7a95be3a023d54d8967f5529
CPU threads: 8; OS: Linux 4.17; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2018-08-23_23:45:59
Locale: fr-FR (fr_FR.UTF-8); Calc: threaded
Comment 1 frederic.coiffier@6cure.net 2018-08-28 07:16:48 UTC
Created attachment 144494 [details]
.odt file to reproduce the problem
Comment 2 raal 2018-08-28 12:37:22 UTC
This seems to have begun at the below commit.
Adding Cc: to Caolán McNamara; Could you possibly take a look at this one? Thanks

6287e7ccbaf698d3854f675171ea9f7fae1ee283 is the first bad commit
commit 6287e7ccbaf698d3854f675171ea9f7fae1ee283
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Tue Jul 24 05:29:57 2018 -0700

    source sha:37ce56416d67ecd6a8d1bfa762c45ec04a00e51b

author	Caolán McNamara <caolanm@redhat.com>	2018-07-23 17:37:04 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2018-07-24 09:32:30 +0200
commit	37ce56416d67ecd6a8d1bfa762c45ec04a00e51b (patch)
tree	e9053f48440dcac251ee796225c7671e44b91483
parent	20bb79886de5b7e24b6796aaa9811153abda86c9 (diff)
crashtesting: infinite recurse with moz609361-1.svg
Comment 3 Caolán McNamara 2018-08-30 14:31:37 UTC
blast, I thought the parent style was static/stable, but its not. Given the css stuff a given style can end up with itself as a grandparent but not the css mutates things so it doesn't loop around to give itself as a grandgrandparent
Comment 4 Commit Notification 2018-08-31 07:28:12 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1fe8479e5ba4ec092d6dc6d88a1edd5fb4487542

tdf#119557 style hierarchy isn't stable so looping check fails falsely

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2018-08-31 07:29:46 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bcc2e360d59532ccf4daac81174ef464abe3290d&h=libreoffice-6-1

tdf#119557 style hierarchy isn't stable so looping check fails falsely

It will be available in 6.1.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2018-09-03 17:56:13 UTC
Verified in

Version: 6.2.0.0.alpha0+
Build ID: 4b5fcd417587cfb9e6d8b61ecb037ab165eeb5b9
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: threaded

@Caolán, Thanks for fixing this!!